Subject: new binutils breaks "tlbie" instruction in kernel?

From: Chris Friesen <[email-masked]>
Date: Wed, 02 Feb 2005 12:39:51 -0600

The "tlbie" instruction has a bit which may be set to indicate regular 
or large page size.  This used to be set via an optional second parameter.

Apparently some time between binutils versions 2.15.91.0.2 and 
2.15.92.0.2 a change went in to make this second parameter mandatory, 
which breaks the kernel ppc code.

What is the recommended way to fix this?  Do all binutils versions 
understand the second parameter, or will "sufficiently old" versions 
choke on it?

Thanks,

Chris